Kea: isc::d2::D2Stats Class Reference

| Kea 3.2.0-git

isc::d2::D2Stats Class Reference

Statistics Names. More...

`#include <d2_stats.h>`

## Static Public Member Functions
static void | init ()
| Initialize D2 statistics.

## Static Public Attributes
static const std::list< std::string > | key
| Key DNS update statistics names.
static const std::list< std::string > | ncr
| Global NCR statistics names.
static const std::list< std::string > | update
| Global DNS update statistics names.

## Detailed Description

Statistics Names.

Definition at line 17 of file d2_stats.h.

## Member Function Documentation

## ◆ init()

void isc::d2::D2Stats::init | ( |  | ) |
| static

Initialize D2 statistics.

Note
  : Add default samples if needed.

Definition at line 47 of file d2_stats.cc.

References isc::stats::StatsMgr::instance(), ncr, isc::stats::StatsMgr::setMaxSampleCountDefault(), isc::stats::StatsMgr::setValue(), and update.

Referenced by isc::d2::D2Process::D2Process().

Here is the call graph for this function:

## Member Data Documentation

## ◆ key

const list< string > isc::d2::D2Stats::key
| static

Initial value:
= {
"update-sent",
"update-success",
"update-timeout",
"update-error"
}

Key DNS update statistics names.

- update-sent
- update-success
- update-timeout
- update-error

Definition at line 43 of file d2_stats.h.

Referenced by isc::d2::D2TsigKey::resetStats().

## ◆ ncr

const list< string > isc::d2::D2Stats::ncr
| static

Initial value:
= {
"ncr-received",
"ncr-invalid",
"ncr-error",
"queue-mgr-queue-full"
}

Global NCR statistics names.

- ncr-received
- ncr-invalid
- ncr-error
- queue-mgr-queue-full

Definition at line 25 of file d2_stats.h.

Referenced by init().

## ◆ update

const list< string > isc::d2::D2Stats::update
| static

Initial value:
= {
"update-sent",
"update-signed",
"update-unsigned",
"update-success",
"update-timeout",
"update-error"
}

Global DNS update statistics names.

- update-sent
- update-signed
- update-unsigned
- update-success
- update-timeout
- update-error

Definition at line 35 of file d2_stats.h.

Referenced by init().

The documentation for this class was generated from the following files:

- d2_stats.h
- d2_stats.cc